# **Videomass** provides a graphical interface for audio and video conversions through FFmpeg.   

* [Videomass on PyPi](https://pypi.org/project/videomass/)
* [GitHub Page](https://github.com/jeanslack/Videomass)
* [Support Page and Documentation](http://jeanslack.github.io/Videomass)
* [Wiki page](https://github.com/jeanslack/Videomass/wiki)
* [Downloads Source Code](https://github.com/jeanslack/Videomass/releases)
* [Installers for Windows and MacOsX](https://sourceforge.net/projects/videomass2/)

## News

- October 2019 v.1.7.0: Added EBU R128 and RMS-based audio normalizations. 
  Added support to VP8, VP9, H.265 and OPUS encoders. See changelog for 
  more details.

## Features

- Drag n' Drop with multiple files at once.
- Batch processing for all included features
- Presets manager interface with fully customizable and expandable profiles.
- Dedicated interfaces: presets manager, video and audio conversions
- Displaying streams information.
- Playback for imported files and last exported file.
- Real-time video filters preview on the video conversions interface.
- Peak level-based audio normalization.
- RMS-based audio normalization.
- EBU R128 audio normalization.
- Setting duration portions for imported files, filters, export and tests.
- Log management.
- Multi language (English and Italian Languages support for now).
- Work on many platforms where Python3 and wxPython4 are supported, 
  including Linux, Unix, MacOs and Windows.
- Compatible with Python 3 only
- ...And more

## Requirements
   
- Python3     
- wxPython4 (phoenix) 
- PyPubSub  
- ffmpeg >= 3.2   
- ffprobe (for multimedia streams analysis)  
- ffplay (for playback)   

